Store into cache

- « Yac

- Yac::__construct »

- PHP Manual
- Yac
- Store into cache

# Yac::add

(PECL yac >= 1.0.0)

Yac::add — Store into cache

### Description

public Yac::add(string `$keys`, mixed `$value`, int `$ttl` = 0): bool
public Yac::add(array `$key_vals`): bool

Added a item into cache.

### Parameters

`keys`

  string key

`value`

  mixed value, All php value type could be stored except resource

`ttl`

  expire time

### Return Values

bool, `true` on success, `false` on failure

> Note:

> Yac::add() may fail if cas lock could not obtain, so, if you need the value to be stored properly, you may write codes like:

> Example #1 Make sure the item is stored

>     while(!$yac->set("key", "vale));